function Plot_Position_Wolves(Optimizer,Search_Space,iter,Current,Alpha_pos,Beta_pos,Delta_pos)

Leaders=[Alpha_pos;Beta_pos;Delta_pos];

if strcmp(func2str(Optimizer),'amixedGWO')==1
    Center_of_Mass_Leaders=Alpha_pos;
else    
    Center_of_Mass_Leaders=mean(Leaders);
end

SizePlot_Leaders = linspace(500,150,3);
ColorPlot_Leaders=[1 0 0;0 1 0;0 0 1];

SizePlot_CenterofMass=mean(SizePlot_Leaders);
ColorPlot_CenterofMass=[1 0.5 0.5];

SizePlot_Current=90;
ColorPlot_Current=1.0*[0.0 0.0 0.0];


%Nb_Wolves=size(Wolves,1);
scatter(Current(:,2),Current(:,1),SizePlot_Current,ColorPlot_Current,'fill')
scatter(Center_of_Mass_Leaders(:,2),Center_of_Mass_Leaders(:,1),SizePlot_CenterofMass,ColorPlot_CenterofMass,'fill')
scatter(Leaders(:,2),Leaders(:,1),SizePlot_Leaders,ColorPlot_Leaders,'fill')


xlim([Search_Space(1,1) Search_Space(1,end)])
ylim([Search_Space(2,1) Search_Space(2,end)])

String_Title=[func2str(Optimizer),', Iteration:',sprintf('%i',iter)];
title(String_Title)



% 
% hold on
% 
% Set_Size_Updated=linspace(30,30,length(Set_a_Values));
% Set_Color_Updated=0.9999*linspace(0,Nb_Iter,Nb_Iter)/Nb_Iter;
% 
% %print -depsc -r650 PositionsLeaders
% 
% count=0;
% for a=Set_a_Values
% count=count+1;
%     %a
%     Mean_Updated_Positionsi=zeros(size(Current_Positionsi));
%     for inrun=1:Nb_Runs    
%     [Updated_Positionsi,normXs,normUpdated_Positionsi]=Study_Update_Rules_GWO(a,Current_Positionsi,Alpha_pos,Beta_pos,Delta_pos);
% Mean_Updated_Positionsi=Mean_Updated_Positionsi+Updated_Positionsi;
%     end
% Mean_Updated_Positionsi=Mean_Updated_Positionsi/Nb_Runs;
% pause(0.1)
% 
% Size_Updated=Set_Size_Updated(count);
% Color_Updated=1.0*Set_Color_Updated(count)*ones(1,3);
% 
% size(Mean_Updated_Positionsi)
% pause on
% pause
% 
% scatter(Mean_Updated_Positionsi(:,1),Mean_Updated_Positionsi(:,2),Size_Updated,Color_Updated,'fill')
% 
% String_Title=['a=',sprintf('%1.5f',A_Value)];
% title(String_Title)
% 
% end
% %print -depsc -r650 Positions
% 


end

