function [Parameter_Set_gwo,Parameter_Set_Search_Sets,Parameter_Set_Alpha_Initial_Position]=...
    Basic_Setup_GWO...
    (varrange,nb_search_agent,Integer_Constrained,Number_Of_Values_In_Search_Spaces,Nb_Iterations_Optimization)


Parameter_Set_Search_Sets=Create_Search_Sets(varrange,Integer_Constrained,Number_Of_Values_In_Search_Spaces);
% 


%%% Initialization of the parameters for the GWO method.

%POUR LE FICHIER PARAMS_GWO.TXT :
power_for_a=4;%			(puissance des variables t et T dans l'quation du facteur a) (1,2 ou 3)
%%% The higher, the better we distinguish the two phases.


%Nb_Iterations_Optimization=500;
it_max   = Nb_Iterations_Optimization;


%it_max=10;%				(Nombre d'itrations maximum pour l'algorithme GWO)

%nb_search_agent=6;%			(Nombre de "loups" pour l'algorithme du GWO)
min_FRR=0.0;%				(critre d'arrt, lorsque la fitness du loup alpha est inf ou gale  min_FRR, le GWO s'arrte)
Nb_Leaders_GWO=5;%%% Maximum Value: there may be 3 leaders + 2 random leaders

Parameter_Set_gwo=[power_for_a;it_max;nb_search_agent;min_FRR;Nb_Leaders_GWO];


Parameter_Set_Alpha_Initial_Position=zeros(size(Parameter_Set_Search_Sets,1),1);
Parameter_Set_Lower_Bounds=zeros(size(Parameter_Set_Search_Sets,1),1);
Parameter_Set_Upper_Bounds=zeros(size(Parameter_Set_Search_Sets,1),1);

for indparam=1:size(Parameter_Set_Search_Sets,1)
    Interval_indparam=Parameter_Set_Search_Sets{indparam,1};
    
    Parameter_Set_Lower_Bounds(indparam)=Interval_indparam(1);
    Parameter_Set_Upper_Bounds(indparam)=Interval_indparam(end);
    aa=Parameter_Set_Lower_Bounds(indparam);
    bb=Parameter_Set_Upper_Bounds(indparam);
    
    Parameter_Set_Alpha_Initial_Position(indparam)=aa + (bb-aa).*rand;
end



end


