function [X1,X2,X3,X4,X5]=...
    Compute_Leader_Term_Continous_Case...
    (Positions_i_j,Alpha_pos_j,Beta_pos_j,Delta_pos_j,...
    Random1_pos_Values_j,Random2_pos_Values_j, ...
    a)



final_a_exploration=1;
%%% 0.5 empirically found to be the best value
%%% on 5 realizations.

if a>final_a_exploration  %%% a between 2 and final_a_exploration: exploration
    
    
    r1=rand(); % r1 is a random number in [0,1]
    r2=rand(); % r2 is a random number in [0,1]
    
    A1=2*a*r1-a; % Equation (3.3)
    C1=2*r2; % Equation (3.4)
    
    D_alpha=abs(C1*Alpha_pos_j-Positions_i_j); % Equation (3.5)-part 1
    X1=Alpha_pos_j-A1*D_alpha; % Equation (3.6)-part 1
    
    r1=rand();
    r2=rand();
    
    A2=2*a*r1-a; % Equation (3.3)
    C2=2*r2; % Equation (3.4)
    
    D_beta=abs(C2*Beta_pos_j-Positions_i_j); % Equation (3.5)-part 2
    X2=Beta_pos_j-A2*D_beta; % Equation (3.6)-part 2
    
    r1=rand();
    r2=rand();
    
    A3=2*a*r1-a; % Equation (3.3)
    C3=2*r2; % Equation (3.4)
    
    D_delta=abs(C3*Delta_pos_j-Positions_i_j); % Equation (3.5)-part 3
    X3=Delta_pos_j-A3*D_delta; % Equation (3.5)-part 3
    
    %%%%%%   Random wolves
    
    
    r1=rand();
    r2=rand();
    
    A4=2*a*r1-a; % Equation (3.3)
    C4=2*r2; % Equation (3.4)
    
    D_random1=abs(C4*Random1_pos_Values_j-Positions_i_j); % Equation (3.5)-part 3
    X4=Random1_pos_Values_j-A4*D_random1; % Equation (3.5)-part 3
    
    
    r1=rand();
    r2=rand();
    
    A5=2*a*r1-a; % Equation (3.3)
    C5=2*r2; % Equation (3.4)
    
    D_random2=abs(C5*Random2_pos_Values_j-Positions_i_j); % Equation (3.5)-part 3
    X5=Random2_pos_Values_j-A5*D_random2; % Equation (3.5)-part 3
    
    
    
elseif (a<=final_a_exploration)
    %&&(a>final_a_exploration/4)  %%% a between 2 and final_a_exploration: exploration
    
    r1=rand(); % r1 is a random number in [0,1]
    r2=rand(); % r2 is a random number in [0,1]
    
    A1=2*a*r1-a; % Equation (3.3)
    C1=2*r2; % Equation (3.4)
    
    D_alpha=abs(C1*Alpha_pos_j-Positions_i_j); % Equation (3.5)-part 1
    X1=Alpha_pos_j-A1*D_alpha; % Equation (3.6)-part 1
    
    r1=rand();
    r2=rand();
    
    A2=2*a*r1-a; % Equation (3.3)
    C2=2*r2; % Equation (3.4)
    
    D_beta=abs(C2*Beta_pos_j-Positions_i_j); % Equation (3.5)-part 2
    X2=Beta_pos_j-A2*D_beta; % Equation (3.6)-part 2
    
    r1=rand();
    r2=rand();
    
    A3=2*a*r1-a; % Equation (3.3)
    C3=2*r2; % Equation (3.4)
    
    D_delta=abs(C3*Delta_pos_j-Positions_i_j); % Equation (3.5)-part 3
    X3=Delta_pos_j-A3*D_delta; % Equation (3.5)-part 3
    
    X4=NaN;
    X5=NaN;
%     
% elseif a<=final_a_exploration/4  %%% a between 2 and final_a_exploration: exploration
%     
%     r1=rand(); % r1 is a random number in [0,1]
%     r2=rand(); % r2 is a random number in [0,1]
%     
%     A1=2*a*r1-a; % Equation (3.3)
%     C1=2*r2; % Equation (3.4)
%     
%     D_alpha=abs(C1*Alpha_pos_j-Positions_i_j); % Equation (3.5)-part 1
%     X1=Alpha_pos_j-A1*D_alpha; % Equation (3.6)-part 1
%     
%     X2=X1; % Equation (3.6)-part 2
%     X3=X1; % Equation (3.5)-part 3
%     
%     X4=NaN;
%     X5=NaN;
end


end



