function [Convergence_curve,Estimated_Parameters,Criterion_Value,Final_Iter_Index,Computational_Time]=Run_GWO_Discrete(Name_Objective_Function,Parameter_Set_gwo,...
    Parameter_Set_Search_Sets,Integer_Constrained,Parameter_Set_Lower_Bounds,Parameter_Set_Upper_Bounds,Parameter_Set_Alpha_Initial_Position)


global Endmember1
global Endmember2


dim=length(Parameter_Set_Search_Sets);

%%% Parameter_Set_Lower_Bounds and Parameter_Set_Upper_Bounds are not used in the discrete version 

%POUR LE FICHIER PARAMS_GWO.TXT :
power_for_a=Parameter_Set_gwo(1);%			(puissance des variables t et T dans l'quation du facteur a) (1,2 ou 3)
it_max=Parameter_Set_gwo(2);%				(Nombre d'itrations maximum pour l'algorithme GWO)
nb_search_agent=Parameter_Set_gwo(3);%			(Nombre de "loups" pour l'algorithme du GWO)
min_FRR=Parameter_Set_gwo(4);%		
Nb_Leaders_GWO=Parameter_Set_gwo(5);%		

% 
% disp('GWO discrete')
% 
% pause on
% pause

tic

[Criterion_Value,Estimated_Parameters,Convergence_curve,Final_Iter_Index]=GWO_Discrete...
    (nb_search_agent,Nb_Leaders_GWO,...
    it_max,power_for_a,Parameter_Set_Search_Sets,Integer_Constrained,...
    Parameter_Set_Alpha_Initial_Position,min_FRR,dim,...
    Name_Objective_Function);





Computational_Time=toc;
end
