function Display_Signals_with_Legend_Generic(All_Curves_as_Columns,IndFig,Name_Of_Printed_Image,Name_Of_The_Folder_As_A_String,Axis_Values,LegendString,xlabelstring,ylabelstring,Option_Log)

if Option_Log==0
    Plothandle='plot';
elseif Option_Log==1
    Plothandle='semilogy';
end


figure(IndFig)
for ind_Method=1:size(All_Curves_as_Columns,2)
    switch LegendString{1,ind_Method}
        case 'PSO'
            Color_String='k';
        case 'GWO'
            Color_String='b';
        case 'ABC'
            Color_String='c';
        case 'TSA'
            Color_String='m';
        case 'GA'
            Color_String='g';
        case 'SA'
            Color_String='y';
        case 'amixedGWO'
            Color_String='r';
        case 'MVO'
            Color_String='ko';
        case 'PSOGSA'
            Color_String='co';
        otherwise
            Color_String='k';
    end
    Current_Signal=All_Curves_as_Columns(:,ind_Method);
    feval(Plothandle,Axis_Values,Current_Signal,Color_String)
    hold on
end

xlabel(xlabelstring)
ylabel(ylabelstring)

legend(LegendString,'Location','best');

% Name=[Name_Of_The_Folder_As_A_String,Name_Of_Printed_Image];
% print('-depsc','-r1000', Name)
hold off

end



