function Parameter_Set_Search_Sets=Create_Search_Sets(varrange,Integer_Constrained,Number_Of_Values_In_Search_Spaces)

%varrange=[0 1;1 5;0 10];


Nb_Expected_Parameters=size(varrange,1);%%% Number of parameters to be estimated
Parameter_Set_Search_Sets=cell(Nb_Expected_Parameters,1);


if isempty(Integer_Constrained)==0
    Integer_Indices=Integer_Constrained;
    Continous_Indices=Integer_Constrained(end)+1:Nb_Expected_Parameters;

%%% Pour continuous indices: mettre plutt tous les indices qui ne sont
%%% pas dans Integer_Indices.

else
    Integer_Indices=[];
    Continous_Indices=1:Nb_Expected_Parameters;
end


for indparameter=Integer_Indices
    %%% discrete parameters
    Basic_Max_Number_Of_Values=Number_Of_Values_In_Search_Spaces;%11 to get [0 1 ... 10]
    
    %
    %     if indparameter<3
    %         Step_Between_Integer_Values=8;%%% for the spatial ranks
    %     elseif indparameter==3
    %         Step_Between_Integer_Values=16;
    %     else
    %         Step_Between_Integer_Values=1;
    %     end
    
    Span_Search_Set=varrange(indparameter,2)-varrange(indparameter,1);
    Step_Between_Integer_Values=(Span_Search_Set/Basic_Max_Number_Of_Values);% floor
    if (Step_Between_Integer_Values==0)
        Step_Between_Integer_Values=1;
    end
    
    Basic_Search_Set=[varrange(indparameter,1):Step_Between_Integer_Values:varrange(indparameter,2)];
    if (Basic_Search_Set(end)==varrange(indparameter,2))
        Parameter_Set_Search_Sets{indparameter,1}=Basic_Search_Set;
    else
        Parameter_Set_Search_Sets{indparameter,1}=[Basic_Search_Set,varrange(indparameter,2)];
    end
    
    
    New_Search_Set=Parameter_Set_Search_Sets{indparameter,1};
    if (min(abs(New_Search_Set))>0) %%% 0 is not here, should be added
        [Dum,Index_ClosesttoZero]=min(abs(New_Search_Set));
       
        Search_Set_1=New_Search_Set;
        

            
            if Basic_Search_Set(Index_ClosesttoZero)<0
                
                Indices_First_Part=1:Index_ClosesttoZero;
                Indices_Second_Part=1+Index_ClosesttoZero:length(Search_Set_1);
               
            elseif Basic_Search_Set(Index_ClosesttoZero)>0
                
                Indices_First_Part=1:Index_ClosesttoZero+1;
                Indices_Second_Part=2+Index_ClosesttoZero:length(Search_Set_1);
            end
            
           
            Search_Set_First_Part=Search_Set_1(Indices_First_Part);
            Search_Set_Second_Part=Search_Set_1(Indices_Second_Part);
            Search_Set_Temp=zeros(1,length(Search_Set_First_Part)+length(Search_Set_Second_Part)+1);
            Search_Set_Temp(1:length(Search_Set_First_Part))=Search_Set_First_Part;
            Search_Set_Temp(1+length(Search_Set_First_Part))=0;
            Search_Set_Temp(2+length(Search_Set_First_Part):length(Search_Set_First_Part)+length(Search_Set_Second_Part)+1)=Search_Set_Second_Part;
            
            Parameter_Set_Search_Sets{indparameter,1}=Search_Set_Temp;
      
    end
    
    
    %%% By default we add zero in the search space.
    
end


for indparameter=Continous_Indices
    %%% continuuos parameters
    Parameter_Set_Search_Sets{indparameter,1}=[varrange(indparameter,1),varrange(indparameter,2)];
end

end
