function [Mixed_GWO_Best_score,Mixed_GWO_Best_pos,Mixed_GWO_cg_curve]=amixedGWO(SearchAgents_no,Max_iteration,lb,ub,dim,fobj,Optimizer)

functname=func2str(fobj);

varrangetemp=ones(dim,2);
varrange(:,1)=lb(:).*varrangetemp(:,1);
varrange(:,2)=ub(:).*varrangetemp(:,2);

Integer_Constrained=[1 2];%  3 4 %%% The expected parameter index which 
%%% is related to a discrete search space.
Option_Continuous_Refinment=0;

Number_Of_Values_In_Search_Spaces=10;
%%% 20 implies step of 10 between -100 and 100
%%% 10 implies step of 20 between -100 and 100



%%%% Setup GWO optimization
[Parameter_Set_gwo,Parameter_Set_Search_Sets,Parameter_Set_Alpha_Initial_Position]=...
    Basic_Setup_GWO...
    (varrange,SearchAgents_no,Integer_Constrained,Number_Of_Values_In_Search_Spaces,Max_iteration);

% for ind=1:length(Parameter_Set_Search_Sets)
% Parameter_Set_Search_Sets{ind}
% end
% pause 

[Mixed_GWO_cg_curve,Mixed_GWO_Best_pos,Mixed_GWO_Best_score]=...
    Run_GWO_aMixed...
    (functname,Parameter_Set_gwo,...
    Parameter_Set_Search_Sets,Integer_Constrained,Parameter_Set_Alpha_Initial_Position,Option_Continuous_Refinment,Optimizer);


end




